Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455449 - FEAT: RHEL 5.3: (2/2) Increase deep idle state residency on idle platforms using Nehalem class processors
Summary: FEAT: RHEL 5.3: (2/2) Increase deep idle state residency on idle platforms us...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 455447
Blocks: 455516
TreeView+ depends on / blocked
 
Reported: 2008-07-15 15:29 UTC by John Villalovos
Modified: 2015-05-08 13:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:02:08 UTC


Attachments (Terms of Use)
Patch for this bug (deleted)
2008-07-15 15:37 UTC, John Villalovos
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description John Villalovos 2008-07-15 15:29:52 UTC
1. Feature Name: Increase deep idle state residency on idle platforms using
Nehalem class processors

2. Description:
Architectures (mark all that apply)
x 32-bit x86
  64-bit Itanium2
x 64-bit Intel EM64T

Dependencies:
External links:
Priority (H,M,L): H
Target Releases:
Target Release Date:
Drivers or hardware dependency:
Target Kernel:

3. Business Justification:
a. Why is this feature needed?
Big power efficiency improvement.  Have seen savings of approximately 7-8%.
b. What hardware does this enable?
Nehalem CPUs
c. Forecast, volume or high end platform?
Volume
d. Any configuration info?
e. When needed?
f. Are there other dependencies (drivers).

4. Status:
a. Is code accepted upstream? If so, what version or patch?
Will add to bug info

5. Hardware to Red Hat? Red Hat can't integrate/test features without hardware.
Tylersburg-EP systems can be used to test this.

6. Partner management contact, email, phone, chat
keve.a.gabbert@intel.com

7. Partner technical contact, email, phone, chat
jvillalo@redhat.com

Comment 1 John Villalovos 2008-07-15 15:36:41 UTC
Attaching the second patch to this bug.  This bug is related to Bug 455447.

Together the two patches increase the deep idle state residency on an idle
platform and performance/power team folks found >16W savings with these two
patches out of total 220W idle power, which is 7-8%. Of the two patches, first
one is simpler and bigger savings and should be easier to push.

Comment 2 John Villalovos 2008-07-15 15:37:07 UTC
Created attachment 311848 [details]
Patch for this bug

Comment 5 Don Zickus 2008-09-13 01:47:46 UTC
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Ryan Lerch 2008-11-06 03:39:17 UTC
This bug (feature request) has been marked for inclusion in the Red Hat
Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this
is not the same as 'the feature request was fulfilled')

Comment 10 Chris Ward 2008-11-28 07:15:00 UTC
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!

Comment 11 Song, Youquan 2008-12-02 06:44:00 UTC
Verify on Tylersburg EP, the bug was fixed.

Comment 12 Song, Youquan 2008-12-05 05:20:32 UTC
No release notes for this, I combine all the deep C states release notes to one release notes. please refer to bug 443516 Comment #16 From Song, Youquan (youquan.song@intel.com)

Comment 14 errata-xmlrpc 2009-01-20 20:02:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.